Bug 800543 - SELinux is preventing /bin/bash from 'execute' accesses on the file /bin/ps.
SELinux is preventing /bin/bash from 'execute' accesses on the file /bin/ps.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:0ba93f7bc8b9a59c1898adef90f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 12:02 EST by Kapil Mathe
Modified: 2012-03-07 02:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 02:08:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kapil Mathe 2012-03-06 12:02:55 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-7.fc16.x86_64
reason:         SELinux is preventing /bin/bash from 'execute' accesses on the file /bin/ps.
time:           Tue 06 Mar 2012 10:20:43 PM IST

description:
:SELinux is preventing /bin/bash from 'execute' accesses on the file /bin/ps.
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If you want to fix the label. 
:/bin/ps default label should be bin_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /bin/ps
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that bash should be allowed execute access on the ps file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep ksmtuned /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:ksmtuned_t:s0
:Target Context                unconfined_u:object_r:user_cron_spool_t:s0
:Target Objects                /bin/ps [ file ]
:Source                        ksmtuned
:Source Path                   /bin/bash
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           bash-4.2.20-1.fc16.x86_64
:Target RPM Packages           procps-3.2.8-24.20110302git.fc16.x86_64
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.1.0-7.fc16.x86_64 #1 SMP
:                              Tue Nov 1 21:10:48 UTC 2011 x86_64 x86_64
:Alert Count                   496
:First Seen                    Mon 05 Mar 2012 11:37:27 AM IST
:Last Seen                     Tue 06 Mar 2012 10:20:29 PM IST
:Local ID                      ef9a80af-349b-4866-bedb-e1be53a006b4
:
:Raw Audit Messages
:type=AVC msg=audit(1331052629.68:141): avc:  denied  { execute } for  pid=2438 comm="ksmtuned" name="ps" dev=sda1 ino=532797 scontext=system_u:system_r:ksmtuned_t:s0 tcontext=unconfined_u:object_r:user_cron_spool_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1331052629.68:141): arch=x86_64 syscall=access success=no exit=EACCES a0=1860420 a1=1 a2=0 a3=30 items=0 ppid=2437 pid=2438 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=ksmtuned exe=/bin/bash subj=system_u:system_r:ksmtuned_t:s0 key=(null)
:
:Hash: ksmtuned,ksmtuned_t,user_cron_spool_t,file,execute
:
:audit2allow
:
:#============= ksmtuned_t ==============
:allow ksmtuned_t user_cron_spool_t:file execute;
:
:audit2allow -R
:
:#============= ksmtuned_t ==============
:allow ksmtuned_t user_cron_spool_t:file execute;
:
Comment 1 Miroslav Grepl 2012-03-07 02:08:44 EST
The alert tells you what to do

*****  Plugin restorecon (99.5 confidence) suggests  *************************

If you want to fix the label. 
/bin/ps default label should be bin_t.
Then you can run restorecon.

Do
# /sbin/restorecon -v /bin/ps


Did you change the label for /bin/ps?

Note You need to log in before you can comment on or make changes to this bug.